Name:           libgtop2
Version:        2.40.0
Release:        6
Summary:        System status information library (version 2)
License:        GPLv2+
URL:            https://developer.gnome.org/libgtop/stable/
Source0:        https://download.gnome.org/sources/libgtop/2.40/libgtop-%{version}.tar.xz
%ifarch sw_64
Patch1:         libgtop-2.40.0-sw.patch
%endif

BuildRequires:  gettext glib2-devel gobject-introspection-devel

%description
LibGTop is a library to get system specific data such as CPU and Memory Usage and 
information about running Processes.

%package        devel
Summary:        Libraries and include files for developing with libgtop
Requires:       %{name} = %{version}-%{release}

%description    devel
The libgtop2-devel package contains libraries and header files for
developing applications that use libgtop2.

%package_help

%prep
%autosetup -n libgtop-%{version} -p1 

%build
%configure  --disable-gtk-doc 
%make_build

%install
%make_install
%delete_la

%ldconfig_scriptlets

%files 
%defattr(-,root,root)
%doc AUTHORS
%license COPYING
%{_bindir}/*
%{_libdir}/girepository-1.0/GTop-2.0.typelib
%{_libdir}/libgtop-2.0.so.*
%{_datadir}/locale/*

%files devel
%defattr(-,root,root)
%{_libdir}/libgtop-2.0.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.a
%{_includedir}/libgtop-2.0/glibtop/*.h
%{_includedir}/libgtop-2.0/*.h
%exclude %{_datadir}/info/dir
%exclude %{_datadir}/info/libgtop2.info.gz

%files help
%defattr(-,root,root)
%doc README NEWS
%{_datadir}/gir-1.0/GTop-2.0.gir
%{_datadir}/gtk-doc/html/libgtop/*

%changelog
* Fri Nov 18 2022 zhouwenpei<zhouwenpei1@h-partners.com> - 2.40.0-6
- Optimize the patch for add sw architecture

* Mon Nov 14 2022 wuzx<wuzx1226@qq.com> - 2.40.0-5
- Add sw64 architecture

* Wed Oct 26 2022 zhouwenpei <zhouwenpei1@h-partners.com> - 2.40.0-4
- Rebuild for next release

* Wed Apr 27 2022 yangcheng <yangcheng87@h-partners.com> - 2.40.0-3
- rebuild libgtop2

* Tue Sep 8 2020 hanhui <hanhui15@huawei.com> - 2.40.0-2
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:modify source url

* Tue Sep 3 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.40.0-1
- Package init
